<?php
$request = "http://api.hotpepper.jp/GourmetSearch/V110/";
$query = "key=guest&";

if (!empty($_POST)) {
    $error_flag = false;
    foreach ($_POST as $name => $value) {
        if ($value == null) {
            $error_flag = true;
            break;
        }
        $query .= $name . "=" . $value . "&";
    }

    if (!$error_flag) {
        $response = simplexml_load_file($request . "?" . $query);
    }
}
?>
<html>
    <head>
        <title>ホットペッパー Webサービス サンプル</title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <script type="text/javascript" src="js/prototype.js"></script>
        <script type="text/javascript" src="js/hotpepper/ui.js"></script>
        <script type="text/javascript" src="js/hotpepper/ui/area_master.js"></script>
        <script type="text/javascript">
            window.onload = function(){
                var area = new Hotpepper.UI.Area.Pulldown();
                area.init();
            }
        </script>    
    </head>

    <body>
        <h1>ホットペッパー Webサービス サンプル</h1>

        <form method="post">
            <table>
                <tr><td>地域：</td><td><select id="hp-sel-lsa"></select></td></tr>
                <tr><td>大エリア：</td><td><select id="hp-sel-la"></select></td></tr>
                <tr><td>中エリア：</td><td><select id="hp-sel-ma"></select></td></tr>
                <tr><td>小エリア：</td><td><select id="hp-sel-sa"></select></td></tr>
                <tr><td>キーワード：</td><td><input name="Keyword" type="text" size="70" /></td></tr>
            </table>
            <input type="submit" value="検索する" />
        </form>

<?php
if (!$error_flag) {
    if (isset($response->Shop)) {
?>
        <h2>検索結果 -- <?php echo count($response->Shop) ?>件</h2>
        <div id="result">
            <table>
<?php
        foreach ($response->Shop as $shop) {
?>
                <tr>
                    <th>店名</th>
                    <td><?php echo htmlspecialchars($shop->ShopName) ?></td>
                </tr>
                <tr>
                    <th>住所</th>
                    <td><?php echo htmlspecialchars($shop->ShopAddress) ?></td>
                </tr>
                <tr>
                    <th>アクセス</th>
                    <td><?php echo htmlspecialchars($shop->Access) ?></td>
                </tr>
                <tr>
                    <th>詳細</th>
                    <td><a href="<?php echo htmlspecialchars($shop->ShopUrl) ?>">見る</a></td>
                </tr>
                <tr>
                    <th>QRコード</th>
                    <td><img src="<?php echo htmlspecialchars($shop->KtaiQRUrl) ?>" /></td>
                </tr>
<?php
        } //end foreach
    } else {
?>
        <h2>検索結果 -- 0件</h2>
<?php    
    }
?>
            </table>
        </div>
<?php
} else if ($error_flag) {
?>
        <h2>エラー</h2>
        <h3>入力に不足があります</h3>
<?php
}
?>
    </body>
</html>

