<?php

// -----------------------------------------------
//   設定
// -----------------------------------------------
// 発行されたAPIキー
$api_key = 'abcdef';

// APIキーに対応する秘密鍵
$api_secret = 'abcdef';


// -----------------------------------------------
//   ログイン用ページURIを返す
// -----------------------------------------------
function getLoginURI()
{
  global $api_key, $api_secret;

  // シグネチャを生成する
  $api_sig = md5($api_secret . 'api_key' . $api_key);

  // URIを返す
  $query_string = 'api_key=' . $api_key . '&api_sig=' . $api_sig;
  return 'http://auth.hatena.ne.jp/auth?' . $query_string;
}


// -----------------------------------------------
//   認証APIを用いてはてなIDを返す
// -----------------------------------------------
function getHatenaID()
{
  global $api_key, $api_secret;

  // certパラメータ
  $api_cert = $_GET['cert'];

  // シグネチャを生成する
  $api_sig = md5($api_secret . 'api_key' . $api_key . 'cert' . $api_cert);

  // 認証APIを呼び出す
  $query_string = 'api_key=' . $api_key . '&cert=' . $api_cert . '&api_sig=' . $api_sig;
  $data = get_file_contents('http://auth.hatena.ne.jp/api/auth.json?' . $query_string) or return null;

  // JSONをパースする
  $json = json_decode($data);

  // ログインIDを取得する
  if (!$json->has_error) {
    return $json->user->name;
  } else {
    return null;
  }
}


// -----------------------------------------------
//   出力部
// -----------------------------------------------
// コールバックURIとしての呼び出しか
if (isset($_GET['cert'])) {
  // はてなIDを取得する
  $hatena_id = getHatenaID();

  // 取得に成功したか
  if ($hatena_id) {
    print 'あなたのはてなIDは ' . $hatena_id . ' ですね';
  } else {
    print '認証に失敗しました';
  }
} else {
  // ログイン用ページのURIを取得する
  $login_uri = getLoginURI();

  // 出力する
  print '<a href="' . $login_uri . '">認証はこちらへ</a>';
}

?>
